FogBugz Technical Support

A forum for technical support discussion related to Fogbugz.
The current FogBugz Knowledge Base can be found at http://help.fogcreek.com/fogbugz.

Posts by Fog Creek Employees are marked:

Documentation
Release Notes
Network Status

FogBugz Internal Error

We are not able to create a Mailbox. FugBugz reports alway an error.

FogBugz Internal Error
An internal error occurred in FogBugz. If you are unsure of how to fix this error, and you have made no changes to the source code of FogBugz, please report this error to Fog Creek Software by clicking "Submit."     

File:     /FogBugz/CMailbox.asp     
Line:     232     
Error:     [Microsoft][ODBC Driver Manager] Invalid string or buffer length     
Browser:     Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; de) Opera 8.50     
Number:     0x80004005     
Category:     Microsoft OLE DB Provider for ODBC Drivers     
Column:     -1     
QueryString:     pre=preChangeDispatcho     
URL:     /fogBugz/default.asp     
Content Type:     application/x-www-form-urlencoded     
Content Length:     1191     
Local Addr:     192.168.100.102     
Remote Addr:     192.168.100.102     
Time:     04.01.2006 14:18:17     
Post:     ixMailbox=0&pgBack=&sEmail=team%40ipteam.de&sFullName=fogbugz&sUser=fogbugz&bPassword=1&sPass=xxxx&sServer=w2kserver&sPort=110&nInterval=15&fAutoReply=1&sReplySubject=Re%3A+%28Case+%7Bcase%7D%29+%7Bsubject%7D&sReplyMessage=Thank+you+for+your+message.+We+have+received+it+and+will+get+back+to+you+as+soon+as+possible.%0D%0A%0D%0AWe+use+FogBugz+to+keep+track+of+our+incoming+email.+You+can+check+the+status+of+your+message+at+the+following+URL%3A%0D%0A%0D%0A+%7Bticketurl%7D%0D%0A%0D%0APlease+reply+to+this+message+if+there%27s+anything+else+we+can+do+for+you.%0D%0A%0D%0A--%0D%0A%7Bfullname%7D%0D%0A%7Bemail%7D%0D%0A---------------------------------------------------------------------------%0D%0APowered+by+FogBugz+from+Fog+Creek+Software.+http%3A%2F%2Fwww.fogcreek.com%2FFogBugz&fDueDate=0&nDue=0 . . .
Alexander Balzer Send private email
Wednesday, January 4, 2006
 
 
There is a bug in MySQL 4.1.14 and later, you will have to use MySQL 4.1.9.

See http://www.fogcreek.com/FogBugz/KB/dbsetup/UsingMySQL.html

and
http://bugs.mysql.com/bug.php?id=13776

We'll be adding code in the next release to work around the MySQL bug.
Michael H. Pryor Send private email
Wednesday, January 4, 2006
 
 
The mysql Server version is 4.0.24 and the server is running on a seperate Linux machine. Our FogBugz runs under windows 2003 server pro.

Could VBscript or MDAC be responsible for this problem?
As far as I know both are installed by default on a win2003 system.
Alexander Balzer Send private email
Wednesday, January 4, 2006
 
 
It's a bug in the MyODBC driver...

But changing the MyODBC version won't fix it.  You have to use a lower version of MySQL according to that article.
Michael H. Pryor Send private email
Wednesday, January 4, 2006
 
 
Just do make sure I understood everything...
Quote from the knowledge-base:
"currently we can only support MySQL 4.0 installs or MySQL 4.1.9.  ..."

MySQL 4.0 is installed  on a Linux machine and the MyODBC 3.51.12 Driver an a win2003 machine. Since the knowledge base tells me that fogbugz works with mysql 4.0 and MyODBC 3.51.11-2  all I have to do is to install an older MyODBC driver and everything should be OK since "MySQL 4.0.x running with MyODBC versions 2.5.x and 3.51.x" is supported. Right?
Alexander Balzer Send private email
Thursday, January 5, 2006
 
 
OK, finally I got my Mailbox working.

All I had to do, was to create a System DSN and replace the connection string with my DSN.

FogBugz runs now using MyODBC 3.51.12 accessing a MySQL V4.0.24 on a Ubuntu Linux Server.

All Tests have been accomplished successfully.
Check Database says only "The database check is complete."
Would be great if FogBugz would give some more detailed information.
e.g. Database OK, statistics etc.

Is this configuration recommended or am I going to have some further trouble?

Would also be nice if the knowledge base
http://www.fogcreek.com/FogBugz/KB/dbsetup/UsingMySQL.html
could be updated
"  * MySQL 4.0.9 running with MyODBC versions 2.5 and 3.51
    * MySQL 4.1.9 running with MyODBC version 3.51.11-2
    * MySQL 4.1.14 and later is currently NOT supported.  Due to a bug in MyODBC  3.51.11-2 and MySQL 4.1.14 currently we can only support MySQL 4.0 installs or MySQL 4.1.9.  See http://bugs.mysql.com/bug.php?id=13776 for more info."

There is no hint that MyODBC 3.51.12 could also cause problems.

Thanks for helping.

kind regards,
Alexander Balzer
IP Team Raabe Software GmbH
Alexander Balzer Send private email
Thursday, January 5, 2006
 
 

This topic is archived. No further replies will be accepted.

Other recent topics Other recent topics
 
Powered by FogBugz Bug Tracking and Evidence-Based Scheduling.